import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../user/components/view.component';

import { CouponMoneylogsResolver } from './resolvers/coupon-moneylog.resolver';
import { UserResolver } from '../user/resolvers/user.resolver';

export const CouponMoneylogRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      CouponMoneylogs: CouponMoneylogsResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
