import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../../member/user/components/view.component';

import { NoticeOnelinesResolver } from './resolvers/notice-oneline.resolver';
import { UserResolver } from '../../member/user/resolvers/user.resolver';

export const noticeOnelineRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      noticeOnelines: NoticeOnelinesResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
